%define name			mpfi
%define version			1.5
%define release			%mkrel 3
%define major			0
%define libmpfi			%mklibname %{name} %{major}
%define libmpfi_devel		%mklibname %{name} -d
%define libmpfi_static_devel	%mklibname %{name} -d -s

Name:		%{name}
Group:		Sciences/Mathematics
License:	LGPL
Summary:	Interval arithmetic multi-precision based on GMP and MPFR
Version:	%{version}
Release:	%{release}
Source:		http://gforge.inria.fr/frs/download.php/22256/%{name}-%{version}.tar.bz2
URL:		http://gforge.inria.fr/projects/mpfi/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gmp-devel
BuildRequires:	mpfr-devel

%description
MPFI is a C library for interval arithmetic multi-precision based on
the GMP and MPFR libraries.

%package	-n %{libmpfi}
Summary:	lib%{name} dynamic library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description	-n %{libmpfi}
lib%{name} dynamic library. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%package	-n %{libmpfi_devel}
Summary:	lib%{name} libraries, includes, etc
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libmpfi} = %{version}-%{release}

%description	-n %{libmpfi_devel}
lib%{name} libraries, includes, etc. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%package	-n %{libmpfi_static_devel}
Summary:	lib%{name} static libraries
Group:		Development/C
Provides:	%{name}-static-devel = %{version}-%{release}

%description	-n %{libmpfi_static_devel}
lib%{name} static libraries. MPFI is a C library for interval
arithmetic multi-precision based on the GMP and MPFR libraries.

%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std

%clean
rm -rf %{buildroot}

%files		-n %{libmpfi}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files		-n %{libmpfi_devel}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_infodir}/*

%files		-n %{libmpfi_static_devel}
%defattr(-,root,root)
%{_libdir}/*.a




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 360412
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 blino <blino> 1.5-2.mga3
+ Revision: 259542
- rebuild to get info pages as xz instead of lzma

* Mon Jan 31 2011 dmorgan <dmorgan> 1.5-1.mga1
+ Revision: 45322
- imported package mpfi

